Page MenuHomePhabricator

install helm on integration agents
Closed, ResolvedPublic

Description

we'll need to use helm to run install and test on integration agents to verify production images

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2018, 6:21 PM
dduvall triaged this task as Medium priority.

We should be sure to add a necessary workaround to integration puppet for {T190589: Packaged helm points to non-existent tiller}.

dduvall added a subscriber: dduvall.

Left open to ensure the right invocation of helm init in puppet.

dduvall moved this task from Backlog to CI on the Release Pipeline board.Apr 3 2018, 6:20 PM

Change 428010 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/puppet@production] Pipeline: setup minikube in CI

https://gerrit.wikimedia.org/r/428010

thcipriani closed this task as Resolved.Jul 17 2018, 6:07 PM
thcipriani reassigned this task from thcipriani to dduvall.

@dduvall effectively solved this with https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/421973/

In the future, the only place where helm will be useful is on contint1001, which is currently assigned the profile::kubernetes::deployment_server, which takes care of helm for us.

Change 428010 abandoned by Thcipriani:
Pipeline: setup minikube in CI

Reason:
No longer needed

https://gerrit.wikimedia.org/r/428010